#pragma once

#include "abstract_coder.hpp"
namespace tinyrpc {

    class TinypbCoder : public AbstractCoder {
    public:
        TinypbCoder();
        ~TinypbCoder();
        bool encoder(TcpBuffer& buffer, AbstractData& data) override; // 编码
        bool decoder(TcpBuffer& buffer, AbstractData& data) override; // 解码
    private:


    };



}